ARGoS on Ubuntu 12.04 LTS

Request and discuss missing features here.
Arkapravo
Posts: 4
Joined: Sat Apr 21, 2012 3:48 pm
Location: New Delhi, India
Contact:

ARGoS on Ubuntu 12.04 LTS

Postby Arkapravo » Sun Apr 29, 2012 4:29 pm

I am on Ubuntu 10.04 LTS, I may consider moving to Ubuntu 12.04 LTS. Does the .deb and source installation work in Ubuntu 12.04 ? Just a precaution ! :)

mallwright
Posts: 35
Joined: Tue Apr 17, 2012 11:15 am

Re: ARGoS on Ubuntu 12.04 LTS

Postby mallwright » Tue May 01, 2012 11:46 pm

I run ARGoS on Ubuntu 11.10 (32 bit) without any problems, and will install ARGoS on 12.04 LTS (64 bit) in the next couple days.

The only reason why ARGoS would stop running under a newer OS is if one of the dependencies was no longer satisfied.

Either way I'll post back and let you know if there are any issues and if so, how they can be resolved.

pincy
Site Admin
Posts: 512
Joined: Thu Mar 08, 2012 8:04 pm
Location: Boston, MA
Contact:

Re: ARGoS on Ubuntu 12.04 LTS

Postby pincy » Wed May 02, 2012 12:01 am

I know for sure that ARGoS works well on Ubuntu up to 11.10, because I tested it myself.
Thanks a lot for testing it on the newest version! If you encounter problems, let me know.
I made ARGoS.

mallwright
Posts: 35
Joined: Tue Apr 17, 2012 11:15 am

Re: ARGoS on Ubuntu 12.04 LTS

Postby mallwright » Wed May 02, 2012 9:59 am

Hi,

so this is the output of running "sudo dpkg -i argos2-*.deb" on 12.04 LTS (64 bit)

Code: Select all

Selecting previously unselected package argos2. (Reading database ... 218444 files and directories currently installed.) Unpacking argos2 (from argos2-20120415-amd64-1cp.deb) ... dpkg: dependency problems prevent configuration of argos2: argos2 depends on libgsl0-dev; however: Package libgsl0-dev is not installed. argos2 depends on freeglut3-dev; however: Package freeglut3-dev is not installed. argos2 depends on libqt4-opengl-dev; however: Package libqt4-opengl-dev is not installed. argos2 depends on libsdl1.2debian-pulseaudio; however: Package libsdl1.2debian-pulseaudio is not installed. argos2 depends on libxi-dev; however: Package libxi-dev is not installed. argos2 depends on libxmu-dev; however: Package libxmu-dev is not installed. dpkg: error processing argos2 (--install): dependency problems - leaving unconfigured Processing triggers for man-db ... Errors were encountered while processing: argos2
I will need to go through and investigate these dependencies individually in the next couple days, however it does seem to me that the package libsdl1.2debian-pulseaudio may be no longer an available package. Reading on the various forums it seems that this package, and the pulseaudio driver were causing problems for many people.

furthermore looking at libsdl1.2debian in the synaptic package manager the description states:
This version of SDL is compiled with X11 and caca graphics drivers and OSS, ALSA, NAS and PulseAudio sound drivers.
Anyway it would seem that this issue with libsdl1.2debian-pulseaudio has been resolved, and that the pulse audio driver has been refactored into the libsdl1.2debian package, and this refactoring is causing issues with the ARGoS package dependencies. I'm not certain about this but I'll look into it over the next couple days and post if I find a simple solution.

mallwright
Posts: 35
Joined: Tue Apr 17, 2012 11:15 am

Re: ARGoS on Ubuntu 12.04 LTS

Postby mallwright » Wed May 02, 2012 10:05 am

I think this confirms that the package has been removed from 12.04 LTS for both 32 bit and 64 bit versions.

https://launchpad.net/ubuntu/precise/i3 ... pulseaudio
https://launchpad.net/ubuntu/precise/am ... pulseaudio

pincy
Site Admin
Posts: 512
Joined: Thu Mar 08, 2012 8:04 pm
Location: Boston, MA
Contact:

Re: ARGoS on Ubuntu 12.04 LTS

Postby pincy » Wed May 02, 2012 11:52 am

Thanks for the info! I'll make a virtual machine with Ubuntu 12.04 and fix the dependency problem.
I made ARGoS.

Arkapravo
Posts: 4
Joined: Sat Apr 21, 2012 3:48 pm
Location: New Delhi, India
Contact:

Re: ARGoS on Ubuntu 12.04 LTS

Postby Arkapravo » Sat May 05, 2012 1:11 am

Thank you mallwright, I was suspecting Ubuntu 12.04 to behave differently. Sorry pincy, never found the time to try out an Ubuntu 12.04 virtual OS.

mallwright
Posts: 35
Joined: Tue Apr 17, 2012 11:15 am

Re: ARGoS on Ubuntu 12.04 LTS

Postby mallwright » Mon May 07, 2012 2:08 pm

Hi Pincy,

Let me know if you would like me to investigate further any of those dependencies.

Cheers,

Arkapravo
Posts: 4
Joined: Sat Apr 21, 2012 3:48 pm
Location: New Delhi, India
Contact:

Re: ARGoS on Ubuntu 12.04 LTS

Postby Arkapravo » Tue May 08, 2012 6:51 am

Hi Mallwright, are you using Unity or have you installed Gnome ? Then again, that may not make a difference to the installation ? will it ?

mallwright
Posts: 35
Joined: Tue Apr 17, 2012 11:15 am

Re: ARGoS on Ubuntu 12.04 LTS

Postby mallwright » Tue May 08, 2012 9:19 am

Arkapravo,

As far as I'm aware the desktop environment doesn't interact with applications directly. Applications send drawing commands to the XServer which then renders the GUI on to the desktop. Applications will often link against GUI tool-kits (such as GTK, or in the case of ARGoS Qt) for this functionality.

However a desktop environment usually provides applications which rely on these libraries, hence they will be installed with the desktop environment.

In short, no, it makes no difference.


Return to “Feature Requests”